/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. 

#define MAX_SCRIPT_SIZE 200
#define END_CHAR -128

typedef struct stroke_node stroke_node_t;
typedef struct sk_node sk_node_t;


// Stroke node
struct stroke_node {
    int no_of_pts;
    signed char dx_dy[200];
    stroke_node_t *next;
};

// Sketch node
struct sk_node {
    short int x,y,width,stipple;
    unsigned int color;
    stroke_node_t *stroke_head;
    stroke_node_t *stroke_tail;
    sk_node_t *next;
    sk_node_t *prev;
};

